package com.brilliance.isc.bo.lg;

import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.bo.model.Limchg;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitzsqStoreBo extends BaseTransactionVo {
    private Limchg limchg;
    private Gidgrp gidgrp;

    @Override
    public void reset() {
        super.reset();
        if (limchg == null) {
            limchg = new Limchg();
        }
        limchg.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
    }

}
